| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions

# IG::Num::AnalysisResultsExtensions Class Reference

Extension methods for analysis results classes. More...

List of all members.

## Static Public Member Functions
static string | ToString (IAnalysisResults anres)
| Returns a string representation of the current analysis results object in a standard IGLib form. Extension method for IAnalysisResults.
static string | ToStringMath (IAnalysisResults anres)
| Returns a string representation of the current analysis results object in a standard IGLib form (Mathematica-like format but with C representation of numbers). Extension method for IAnalysisResults.
static string | ToStringMathRequest (this IAnalysisResults anres)
| Returns a string representation of the current analysis request object in a standard IGLib form (Mathematica-like format but with C representation of numbers). Extension method for IAnalysisResults.
static void | SaveRequestMath (this IAnalysisResults anres, string filePath)
| Saves the current analysis request to a file. If the file already exists then it is overwritten. Extension method for IAnalysisResults.
static void | SaveRequestMath (this IAnalysisResults anres, string filePath, bool append)
| Saves the current analysis request to a file. Extension method for IAnalysisResults.
static void | SaveMath (this IAnalysisResults anres, string filePath)
| Saves the current analysis results to a file. If the file already exists then it is overwritten. Extension method for IAnalysisResults.
static void | SaveMath (this IAnalysisResults anres, string filePath, bool append)
| Saves the current analysis results to a file. Extension method for IAnalysisResults.

## Detailed Description

Extension methods for analysis results classes.

$A Igor Apr11;

## Member Function Documentation

static string IG::Num::AnalysisResultsExtensions::ToString | ( | IAnalysisResults | anres | ) | `[inline, static]`

Returns a string representation of the current analysis results object in a standard IGLib form. Extension method for IAnalysisResults.

Parameters:

  anres | Object whose string representation is returned.

static string IG::Num::AnalysisResultsExtensions::ToStringMath | ( | IAnalysisResults | anres | ) | `[inline, static]`

Returns a string representation of the current analysis results object in a standard IGLib form (Mathematica-like format but with C representation of numbers). Extension method for IAnalysisResults.

Parameters:

  anres | Object whose string representation is returned.

static string IG::Num::AnalysisResultsExtensions::ToStringMathRequest | ( | this IAnalysisResults | anres | ) | `[inline, static]`

Returns a string representation of the current analysis request object in a standard IGLib form (Mathematica-like format but with C representation of numbers). Extension method for IAnalysisResults.

Parameters:

  anres | Object whose string representation is returned.

static void IG::Num::AnalysisResultsExtensions::SaveRequestMath | ( | this IAnalysisResults | anres,
|  | string | filePath
| ) |  | `[inline, static]`

Saves the current analysis request to a file. If the file already exists then it is overwritten. Extension method for IAnalysisResults.

Parameters:

  anres | Object from which analysis request is saved.
  filePath | Path to the file where analysis request is stored.

static void IG::Num::AnalysisResultsExtensions::SaveRequestMath | ( | this IAnalysisResults | anres,
|  | string | filePath,
|  | bool | append
| ) |  | `[inline, static]`

Saves the current analysis request to a file. Extension method for IAnalysisResults.

Parameters:

  anres | Object from which analysis request is saved.
  filePath | Path to the file where analysis request is stored.
  append | If true then contents are appended to the end of the file if the file already exists.

static void IG::Num::AnalysisResultsExtensions::SaveMath | ( | this IAnalysisResults | anres,
|  | string | filePath
| ) |  | `[inline, static]`

Saves the current analysis results to a file. If the file already exists then it is overwritten. Extension method for IAnalysisResults.

Parameters:

  anres | Object from which analysis results are saved.
  filePath | Path to the file where analysis results are stored.

static void IG::Num::AnalysisResultsExtensions::SaveMath | ( | this IAnalysisResults | anres,
|  | string | filePath,
|  | bool | append
| ) |  | `[inline, static]`

Saves the current analysis results to a file. Extension method for IAnalysisResults.

Parameters:

  anres | Object from which analysis results are saved.
  filePath | Path to the file where analysis results are stored.
  append | If true then contents are appended to the end of the file if the file already exists.

The documentation for this class was generated from the following file:

- AnalysisResults.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events